<?php $include_coneccao = '../fncr-geral/coneccao-bd.php';

/*****
 *
 * ARQUIVO DE COMANDOS CRON
 * PARA ATUALIZAÇÕES NO SISTEMA
 * FNCR
 *
*/

$tk_get = '';
if(isset($_GET['tk']) && $_GET['tk'] != ""){
  $tk_get = $_GET['tk'];
  $tk_get = preg_replace("/[^a-z_]/", "", $tk_get);
}

if($_GET['tk'] != ""){
  $acesso_bd = "ok";
  include($include_coneccao);
  header('Access-Control-Allow-Methods: GET, POST, PUT');
}


// *********** EXECUTAR AGENDA DE AÇÕES ***********
if($tk_get == "agendaaut"){

  // Registros Agendados
  $sql_registros = $bd->getConexao()->prepare(' SELECT * FROM clubes_agenda WHERE data_agendado = :data_agendado AND status = 1');
  $sql_registros->bindValue(':data_agendado', date("Y-m-d"), PDO::PARAM_STR);
  if( $sql_registros->execute() ) { $resul_registros = $sql_registros->fetchall(PDO::FETCH_ASSOC);}

  foreach($resul_registros as $l){

    // AÇÃO 1 ==> ATIVAR SISTEMA
    // AÇÃO 2 ==> BLOQUEAR POR INADIPLENCIA


    // AÇÃO 3 ==> CANCELAR SISTEMA
    if($l['id_acao']==3){

      // Cacenlando
      $sql_cancelando = $bd->getConexao()->prepare('UPDATE clubes SET bloqueio = 0, status = 1, cancelado = 1 WHERE id = :id_clube');
      $sql_cancelando->bindValue(':id_clube', $l['id_clube'], PDO::PARAM_STR);
      if( $sql_cancelando->execute() );

    }

    // Encerrando Agendamento
    $sql_encerrando = $bd->getConexao()->prepare('UPDATE clubes_agenda SET status = 2, data_realizado = NOW() WHERE id = :id');
    $sql_encerrando->bindValue(':id', $l['id'], PDO::PARAM_STR);
    if( $sql_encerrando->execute() );

  }
}


$bd = null; ?>